import combine from '../combine';

export default test => {
    test.ok(typeof combine === 'function', 'combine should be a function');

    const a = val => val * 10;
    const b = val => val * 10;

    const fn = combine(a, b);
    test.ok(fn(3) === 300, 'combine should return result of all applied functions');

    test.done();
};